"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const process_1 = require("process");
const universal_js_1 = require("./universal.js");
/**
 * Verify that the package directory declares a valid ECMAScript module file
 * @param packageRootDirectory the root path of the package directory to validate, defaults to the current working directory
 * @rejects if otherwise
 */
async function local(packageRootDirectory = process_1.cwd()) {
    try {
        const data = JSON.parse(await fs_1.promises.readFile(path_1.join(packageRootDirectory, 'package.json'), 'utf8'));
        await universal_js_1.json(data);
        const content = await fs_1.promises.readFile(path_1.join(packageRootDirectory, data.module), 'utf8');
        return await universal_js_1.file(content);
    }
    catch (err) {
        return Promise.reject(err);
    }
}
exports.local = local;
